package com.ruoyi.doubledefense.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.GnhzBaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 风险事件对象 tb_risk_event
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
@TableName("tb_risk_event")
@Data
public class RiskEvent extends GnhzBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键UUID */
    @TableId(type = IdType.INPUT)
    private String id;

    /** 所属风险单元UUID */
    @Excel(name = "所属风险单元UUID")
    private String riskUnitId;

    /** 风险事件名称 */
    @Excel(name = "风险事件名称")
    private String riskEventName;

    /** 风险事件内容 */
    @Excel(name = "风险事件内容")
    private String riskEventContent;

    /** 备注 */
    @Excel(name = "备注")
    private String remarkInfo;



    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setRiskUnitId(String riskUnitId) 
    {
        this.riskUnitId = riskUnitId;
    }

    public String getRiskUnitId() 
    {
        return riskUnitId;
    }
    public void setRiskEventName(String riskEventName) 
    {
        this.riskEventName = riskEventName;
    }

    public String getRiskEventName() 
    {
        return riskEventName;
    }
    public void setRiskEventContent(String riskEventContent) 
    {
        this.riskEventContent = riskEventContent;
    }

    public String getRiskEventContent() 
    {
        return riskEventContent;
    }
    public void setRemarkInfo(String remarkInfo) 
    {
        this.remarkInfo = remarkInfo;
    }

    public String getRemarkInfo() 
    {
        return remarkInfo;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("riskUnitId", getRiskUnitId())
            .append("riskEventName", getRiskEventName())
            .append("riskEventContent", getRiskEventContent())
            .append("remarkInfo", getRemarkInfo())
            .append("isDel", getIsDel())
            .append("createDate", getCreateDate())
            .append("createUserId", getCreateUserId())
            .append("updateDate", getUpdateDate())
            .append("updateUserId", getUpdateUserId())
            .append("companyCode", getCompanyCode())
            .toString();
    }
}
